Bug 864920 - Error message instead of Edit task form Window if use special character "&" in Task Name
Error message instead of Edit task form Window if use special character "&" i...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: BRMS 5.3.1 GA
Assigned To: Tihomir Surdilovic
Sona Mala
:
: 866862 (view as bug list)
Depends On:
Blocks: 864924 864972
  Show dependency treegraph
 
Reported: 2012-10-10 07:50 EDT by Sona Mala
Modified: 2014-10-26 21:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Using the special & character in the taskName property value in the Process Designer caused task form errors to occur and users would see error messages instead of the task form editor. This has been resolved and users can now see the task form editor correctly, even when the taskName property value contains the special & character.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sona Mala 2012-10-10 07:50:38 EDT
Description of problem:
If use special character "&" in Task Name (property of human task) then Error alert is displayed instead of Edit task form window

Version-Release number of selected component (if applicable):
BRMS 5.3.1 ER2, designer 2.3.1-DEV

How reproducible:
Everytime when use special character "&" in Task Name (property of human task)

Steps to Reproduce:
1. create new process (Start->human task-> end)
2. set property Task Name to "task&name"
3. generate task form
4. validate (it is ok)
5. focus on human task and choose icon "Edit Task Form"
  
Actual results:
Alert "Error initiating Form Editor : [Exception... "An invalid or illegal string was specified"  code: "12" nsresult: "0x8053000c (SyntaxError)"  location: "http://localhost:8080/designer/lib/ext-2.0.2/ext-all.js Line: 14"]"

Expected results:
in case that "&" is invalid:
 - validator marks human task by alert "Task Name is invalid."
 - do not generate task form for this human task
in case that "&" is valid:
 - display window which allow to edit task form

Additional info:
Comment 1 Tihomir Surdilovic 2012-10-11 19:12:25 EDT
Fixed in master. Raise blocker flag if needs to be included in 5.3.1
Comment 2 Tihomir Surdilovic 2012-10-17 10:43:48 EDT
Fix committed to 2.3.x Designer branch
Comment 3 Rajesh Rajasekaran 2012-10-24 11:53:39 EDT
*** Bug 866862 has been marked as a duplicate of this bug. ***
Comment 4 Sona Mala 2012-11-14 04:03:59 EST
Verified for: EAP 5.1, deployable BRMS 5.3.1 ER4, designer 2.3.1-DEV

Note You need to log in before you can comment on or make changes to this bug.